transformaction

Last published : Oct 30, 2026
Configuration for transform action resource.

Properties

(click to see Operations )
Name Data Type Permissions Description
name <String> Read-write Name for the URL transformation action.
Must begin with a letter, number, or the underscore character (_), and must contain only letters, numbers, and the hyphen (-), period (.) pound (#), space ( ), at (@), equals (=), colon (:), and underscore characters. Cannot be changed after the URL Transformation action is added.
The following requirement applies only to the Citrix ADC CLI:
If the name includes one or more spaces, enclose the name in double or single quotation marks (for example, “my transform action” or ‘my transform action).
Minimum length = 1
profilename <String> Read-write Name of the URL Transformation profile with which to associate this action.
Minimum length = 1
priority <Integer> Read-write Positive integer specifying the priority of the action within the profile. A lower number specifies a higher priority. Must be unique within the list of actions bound to the profile. Policies are evaluated in the order of their priority numbers, and the first policy that matches is applied.
Minimum value = 1
Maximum value = 2147483647
state <String> Read-write Enable or disable this action.
Default value: ENABLED
Possible values = ENABLED, DISABLED
requrlfrom <String> Read-write PCRE-format regular expression that describes the request URL pattern to be transformed.
Minimum length = 1
requrlinto <String> Read-write PCRE-format regular expression that describes the transformation to be performed on URLs that match the reqUrlFrom pattern.
Minimum length = 1
resurlfrom <String> Read-write PCRE-format regular expression that describes the response URL pattern to be transformed.
Minimum length = 1
resurlinto <String> Read-write PCRE-format regular expression that describes the transformation to be performed on URLs that match the resUrlFrom pattern.
Minimum length = 1
cookiedomainfrom <String> Read-write Pattern that matches the domain to be transformed in Set-Cookie headers.
Minimum length = 1
cookiedomaininto <String> Read-write PCRE-format regular expression that describes the transformation to be performed on cookie domains that match the cookieDomainFrom pattern.
NOTE: The cookie domain to be transformed is extracted from the request.
Minimum length = 1
comment <String> Read-write Any comments to preserve information about this URL Transformation action.
continuematching <String> Read-only Continue transforming using the next rule in the list.
Possible values = ON, OFF
_nextgenapiresource <String> Read-only .
__count <Double> Read-only count parameter

Operations

(click to see Properties )
  • ADD
  • DELETE
  • UPDATE
  • UNSET
  • GET (ALL)
  • GET
  • COUNT
Some options that you can use for each operations:
  • Getting warnings in response: NITRO allows you to get warnings in an operation by specifying the 'warning' query parameter as 'yes'. For example, to get warnings while connecting to the NetScaler appliance, the URL is as follows:
    http:// <netscaler-ip-address> /nitro/v1/config/login?warning=yes
    If any, the warnings are displayed in the response payload with the HTTP code '209 X-NITRO-WARNING'.
  • Authenticated access for individual NITRO operations: NITRO allows you to logon to the NetScaler appliance to perform individual operations. You can use this option instead of creating a NITRO session (using the login object) and then using that session to perform all operations,
    To do this, you must specify the username and password in the request header of the NITRO request as follows:
    X-NITRO-USER: <username>
    X-NITRO-PASS: <password>
    Note: In such cases, make sure that the request header DOES not include the following:
    Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
*Note: * Mandatory parameters are marked in red and placeholder content is marked in green

add

URL: http:// <netscaler-ip-address> /nitro/v1/config/transformaction HTTP Method: POST
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"transformaction":{
<b>"name":<String_value>,
</b><b>"profilename":<String_value>,
</b><b>"priority":<Integer_value>,
</b>"state":<String_value>
}}
Response: HTTP Status Code on Success: 201 Created
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error

delete

URL: http:// <netscaler-ip-address> /nitro/v1/config/transformaction/ name_value<String> HTTP Method: DELETE
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error

update

URL: http:// <netscaler-ip-address> /nitro/v1/config/transformaction HTTP Method: PUT
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"transformaction":{
<b>"name":<String_value>,
</b>"priority":<Integer_value>,
"requrlfrom":<String_value>,
"requrlinto":<String_value>,
"resurlfrom":<String_value>,
"resurlinto":<String_value>,
"cookiedomainfrom":<String_value>,
"cookiedomaininto":<String_value>,
"state":<String_value>,
"comment":<String_value>
}}
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error

unset

URL: http:// <netscaler-ip-address> /nitro/v1/config/transformaction? action=unset HTTP Method: POST
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"transformaction":{
<b>"name":<String_value>,
</b>"requrlfrom":true,
"requrlinto":true,
"resurlfrom":true,
"resurlinto":true,
"cookiedomainfrom":true,
"cookiedomaininto":true,
"state":true,
"comment":true
}}
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error

get (all)

URL: http:// <netscaler-ip-address> /nitro/v1/config/transformaction Query-parameters: attrs http:// <netscaler-ip-address> /nitro/v1/config/transformaction? attrs=property-name1,property-name2
Use this query parameter to specify the resource details that you want to retrieve.
filter http:// <netscaler-ip-address> /nitro/v1/config/transformaction? filter=property-name1:property-val1,property-name2:property-val2
Use this query-parameter to get the filtered set of transformaction resources configured on NetScaler.Filtering can be done on any of the properties of the resource.
view http:// <netscaler-ip-address> /nitro/v1/config/transformaction? view=summary
Use this query-parameter to get the summary output of transformaction resources configured on NetScaler.
Note: By default, the retrieved results are displayed in detail view (?view=detail).
pagination http:// <netscaler-ip-address> /nitro/v1/config/transformaction? pagesize=#no;pageno=#no
Use this query-parameter to get the transformaction resources in chunks.
HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "transformaction": [ {
"name":<String_value>,
"profilename":<String_value>,
"priority":<Integer_value>,
"requrlfrom":<String_value>,
"requrlinto":<String_value>,
"resurlfrom":<String_value>,
"resurlinto":<String_value>,
"cookiedomainfrom":<String_value>,
"cookiedomaininto":<String_value>,
"continuematching":<String_value>,
"state":<String_value>,
"comment":<String_value>,
"_nextgenapiresource":<String_value>
}]}

get

URL: http:// <netscaler-ip-address> /nitro/v1/config/transformaction/ name_value<String> Query-parameters: attrs http:// <netscaler-ip-address> /nitro/v1/config/transformaction/ name_value<String> ? attrs=property-name1,property-name2
Use this query parameter to specify the resource details that you want to retrieve.
view http:// <netscaler-ip-address> /nitro/v1/config/transformaction/ name_value<String> ? view=summary
Use this query-parameter to get the summary output of transformaction resources configured on NetScaler.
Note: By default, the retrieved results are displayed in detail view (?view=detail).
HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{  "transformaction": [ {
"name":<String_value>,
"profilename":<String_value>,
"priority":<Integer_value>,
"requrlfrom":<String_value>,
"requrlinto":<String_value>,
"resurlfrom":<String_value>,
"resurlinto":<String_value>,
"cookiedomainfrom":<String_value>,
"cookiedomaininto":<String_value>,
"continuematching":<String_value>,
"state":<String_value>,
"comment":<String_value>,
"_nextgenapiresource":<String_value>
}]}

count

URL: http:// <netscaler-ip-address> /nitro/v1/config/transformaction? count=yes HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "transformaction": [ { "__count": "#no"} ] }